Bug 1583087 - SELinux is preventing /usr/sbin/postalias from map access on the file /usr/sbin/postalias
Summary: SELinux is preventing /usr/sbin/postalias from map access on the file /usr/sb...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: selinux-policy
Version: 7.6
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Lukas Vrabec
QA Contact: Milos Malik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-28 08:18 UTC by Lukas Slebodnik
Modified: 2018-10-30 10:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:04:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3111 None None None 2018-10-30 10:04:48 UTC

Description Lukas Slebodnik 2018-05-28 08:18:16 UTC
SELinux is preventing /usr/sbin/postalias from map access on the file /usr/sbin/postalias.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that postalias should be allowed map access on the postalias file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'postalias' --raw | audit2allow -M my-postalias
# semodule -i my-postalias.pp


Additional Information:
Source Context                system_u:system_r:sendmail_t:s0
Target Context                system_u:object_r:postfix_master_exec_t:s0
Target Objects                /usr/sbin/postalias [ file ]
Source                        postalias
Source Path                   /usr/sbin/postalias
Port                          <Unknown>
Host                          bkr-hv01-guest24.example.com
Source RPM Packages           postfix-2.10.1-7.el7.x86_64
Target RPM Packages           postfix-2.10.1-7.el7.x86_64
Policy RPM                    selinux-policy-3.13.1-197.el7.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     bkr-hv01-guest24.example.com
Platform                      Linux bkr-hv01-guest24.example.com
                              3.10.0-893.el7.x86_64 #1 SMP Thu May 24 21:37:14
                              UTC 2018 x86_64 x86_64
Alert Count                   1
First Seen                    2018-05-26 13:12:33 EDT
Last Seen                     2018-05-26 13:12:33 EDT
Local ID                      85cf4b5a-db9a-48fd-8495-be715919177e

Raw Audit Messages
type=AVC msg=audit(1527354753.289:44): avc:  denied  { map } for  pid=984 comm="postalias" path="/usr/sbin/postalias" dev="dm-0" ino=33776582 scontext=system_u:system_r:sendmail_t:s0 tcontext=system_u:object_r:postfix_master_exec_t:s0 tclass=file permissive=1


type=SYSCALL msg=audit(1527354753.289:44): arch=x86_64 syscall=execve success=yes exit=0 a0=5625ab116ec0 a1=5625ab116ef0 a2=5625ab11b380 a3=4 items=0 ppid=971 pid=984 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=postalias exe=/usr/sbin/postalias subj=system_u:system_r:postfix_master_t:s0 key=(null)

Hash: postalias,sendmail_t,postfix_master_exec_t,file,map

Comment 5 errata-xmlrpc 2018-10-30 10:04:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3111


Note You need to log in before you can comment on or make changes to this bug.